import ConfigParser
import os

config = ConfigParser.RawConfigParser()
if not config.read(os.path.join(os.path.dirname(os.path.realpath(__file__)), '../../config/nes_load.ini')):
    print 'config not found'

modern = True
try:
    modern = config.getboolean('MAIN', 'modernObjects')
except:
    pass

if not modern:
    import invent_legacy as invent

__all__ = [
    'accountpincode',
    'accumulatesprices',
    'additionalcard',
    'alcocode',
    'alcoset',
    'aspect',
    'aspectscheme',
    'aspectvalue',
    'aspectvalueset',
    'aspectvaluesetvalues',
    'barcode',
    'button',
    'card',
    'cardgroup',
    'cardgroupsearchplace',
    'cashuser',
    'changeaccountbalance',
    'changecardaccount',
    'client',
    'cmaction',
    'command',
    'dept',
    'disccardaccumulate',
    'discountaction',
    'discountsystem',
    'event',
    'excisemark',
    'excisemarkwhite',
    'hotkey',
    'invent',
    'tmc',
    'inventgroup',
    'kbkey',
    'ldiscaccumulate',
    'ldisccard',
    'ldiscfixed',
    'ldiscscheme',
    'lvat',
    'mcashuser',
    'measure',
    'medicine',
    'menu',
    'picklist',
    'price',
    'remain',
    'role',
    'tax',
    'units',
    'valut',
    'inventcatalog',
    'catalog',
    'shop',
    'shoplabels',
    'agerestrict',
    'timerestrict',
    'tmcalcocode',
    'tmcscale',
    'tmcscalegroup',
    'inventrequiredquantity',
    'inventvisualverify',
    'macro',
    'catalogattribute',
    'certificate',
    'salerestrict',
    'consultant',
    'softcheck',
    'verification',
    'cardgroupverification',
    'cashconfig',
    'backreason',
    'organization',
    'actionpanel',
    'country',
    'correctionreason',
    'supplier',
    'tmcsupplier',
    'mcashuseraccess',
    'remainbarcode',
    'remaintmc',
    'personaloffer',
    'catalogrestrict',
    'agent',
    'category'
]
