import mysql.simplesql as sql

tables = ['agerestrict']

def insertAgeRestrict(agerestrict):
    yield sql.Insert(table='agerestrict', values={"alcoholpercent":agerestrict.get('alcoholpercent', None),
                                           "age":agerestrict.get('age', None),
                                           })

def deleteAgeRestrict(restrict):
    for i in deleteAgeRestrictByAlcoholPercent(restrict.get('alcoholpercent', None)):
        yield i

def deleteAgeRestrictByAlcoholPercent(alcoholpercent):
    yield sql.Delete(table='agerestrict', whereFields=['alcoholpercent'], whereValues=[alcoholpercent])

def clearAgeRestrict():
    yield sql.DeleteAll('agerestrict')