import mysql.simplesql as sql

tables = ['alcocode']

def insertAlcoCode(alcocode):
    yield sql.Insert(table='alcocode', values={'alcocode': alcocode.get('alcocode')})

def clearAlcoCode():
    yield sql.DeleteAll(table='alcocode')

def deleteAlcoCode(alcocode):
    yield sql.Delete(table='alcocode', whereFields=['alcocode'], whereValues=[alcocode.get('alcocode')])

def deleteAlcoCodeByCode(alcocode):
    yield sql.Delete(table='alcocode', whereFields=['alcocode'], whereValues=[alcocode])
