import mysql.simplesql as sql

tables = ['aspectvalue']

def insertAspectValue(aspectvalue):
    yield sql.Insert(table='aspectvalue', values={
        'aspectvaluecode': aspectvalue.get('aspectvaluecode', None),
        'aspectvaluename': aspectvalue.get('aspectvaluename', None),
        'aspectcode': aspectvalue.get('aspectcode', None)
        })

def deleteAspectValue(aspectvalue):
    yield sql.Delete(table='aspectvalue',
        whereFields=['aspectvaluecode'],
        whereValues=[aspectvalue.get('aspectvaluecode', None)])

def clearAspectValue():
    yield sql.DeleteAll(table='aspectvalue')

def deleteAspectValueByCode(aspectvaluecode):
    yield sql.Delete(table='aspectvalue',
        whereFields=['aspectvaluecode'],
        whereValues=[aspectvaluecode])
