# -*- coding: utf-8 -*-

'''
Created on 30.08.2012

@author: chvv
'''

import mysql.simplesql as sql

tables = ['barcodes']


def insertBarcode(barcode):
    yield sql.Insert(table='barcodes',values={
                    'code': barcode.get('code'),
                    'barcode': barcode.get('barcode'),
                    'name': barcode.get('name', None),
                    'price': barcode.get('price', None),
                    'cquant': barcode.get('cquant', None),
                    'measure': barcode.get('measure', None),
                    'quantdefault': barcode.get('quantdefault', 1.0),
                    'aspectvaluesetcode': barcode.get('aspectvaluesetcode', None),
                    'packingmeasure': barcode.get('packingmeasure', None),
                    'packingprice': barcode.get('packingprice', None),
                    'minprice': barcode.get('minprice', None),
                    'minretailprice': barcode.get('minretailprice', None),
                    'customsdeclarationnumber': barcode.get('customsdeclarationnumber', None),
                    'tmctype': barcode.get('tmctype', None),
                    'ntin': barcode.get('ntin', None)
                    })


def deleteBarcodeByBarcode(bcode):
    yield sql.Delete(table='barcodes',
                     whereFields=['barcode'],
                     whereValues=[bcode])

    yield sql.Delete(table='alcoset',
                     whereFields=['alcosetbarcode'],
                     whereValues=[bcode])


def deleteBarcode(barcode):
    for i in deleteBarcodeByBarcode(barcode.get('barcode', None)):
        yield i


def clearBarcode():
    yield sql.DeleteAll(table='barcodes')
