'''
Created on 31.05.2010

@author: gsu
'''


import mysql.simplesql as sql

tables = ['mol']

def calcGroup(roles):
    return reduce(lambda x,y: x| (2 ** y), roles, 0)

def insertCashUser(user):
    yield sql.Insert(table='mol', values={
           'code': user.get('usercode', ''),
           'login': user.get('login', None),
           'loginmode': 0,
           'name': user.get('username', ''),
           'password': user.get('password', None),
           'locked': user.get('blocked', 0),
           'usergroup': calcGroup(user.get('userroleids', [])),
           'drawer': 0,
           'start': 'None' })

def deleteCashUser(user):
    yield sql.Delete(table='mol',
                     whereFields=['code'],
                     whereValues=(user.get('usercode', None),))
    yield sql.Delete(table='mol',
                     whereFields=['login'],
                     whereValues=(user.get('login', None),))

def clearCashUser():
    yield sql.DeleteAll(table='mol')

def deleteCashUserByCode(code):
    yield sql.Delete(table='mol',
                     whereFields=['code'],
                     whereValues=[code])
