'''
Created on 10.12.2012

@author: kov
'''

import mysql.simplesql as sql

tables = ['catalog', 'catalogattribute', 'tmccatalog']

def insertCatalog(catalog):
    yield sql.Insert(table='catalog', values={'catalogid':catalog.get('catalogid', None),
                                              'catalogname':catalog.get('catalogname', None),
                                              'image':catalog.get('image', None),
                                              'type':catalog.get('type', None)})

def clearCatalog():
    yield sql.DeleteAll(table='catalog')

def deleteCatalog(catalog):
    yield sql.Delete(table='catalog', whereFields=['catalogid'], whereValues=[catalog.get('catalogid', None)])

def deleteCatalogAndTmcCatalog(id):
    yield sql.Delete(table='catalog', whereFields=['catalogid'], whereValues=[id])
    yield sql.Delete(table='tmccatalog', whereFields=['catalogid'], whereValues=[id])

def deleteCatalogById(id):
    yield sql.Delete(table='catalog', whereFields=['catalogid'], whereValues=[id])
