import mysql.simplesql as sql

tables = ['correctionreason']

def insertCorrectionReason(correctionreason):
    yield sql.Insert(table='correctionreason', values={"code": correctionreason.get('code', None),
                                                       "reason": correctionreason.get('reason', None)})

def deleteCorrectionReason(correctionreason):
    for i in deleteCorrectionReasonByCode(correctionreason.get('code', None)):
        yield i

def deleteCorrectionReasonByCode(code):
    yield sql.Delete(table='correctionreason', whereFields=['code'], whereValues=[code])

def clearCorrectionReason():
    yield sql.DeleteAll(table='correctionreason')
