'''
Created on 29.11.2017

@author: sda
'''

import mysql.simplesql as sql

def insertCountry(country):
    yield sql.Insert(table='country', values={
            'code': country.get('code', None),
            'name': country.get('name', None)})

def clearCountry():
    yield sql.DeleteAll(table='country')

def deleteCountry(country):
    code = country.get('code', None)
    if code:
        yield sql.Delete(table='country', whereFields=['code'], whereValues=[code])

def deleteCountryByCode(code):
    yield sql.Delete(table='country', whereFields=['code'], whereValues=[code])
