'''
Created on 10.03.2017

@author: ksm
'''

import mysql.simplesql as sql

tables = ['disccardaccumulate']

def insertDiscCardAccumulate(scheme):
    yield sql.Insert(table='disccardaccumulate', values={
        'discscheme': scheme.get('discscheme', None),
        'discschemename': scheme.get('discschemename', None),
        'disccode': scheme.get('disccode', None),
        'name': scheme.get('name', None),
        'rtext': scheme.get('rtext', None),
        'discperc': scheme.get('discperc', None),
        'isbegsum': scheme.get('isbegsum', None),
        'begsum': scheme.get('begsum', None),           
        'isendsum': scheme.get('isendsum', None),
        'endsum': scheme.get('endsum', None),           
        'isbegrcount': scheme.get('isbegrcount', None),
        'begrcount': scheme.get('begrcount', None),           
        'isendrcount': scheme.get('isendrcount', None),
        'endrcount': scheme.get('endrcount', None)
        })

def deleteDiscCardAccumulate(scheme):
    discCode = scheme.get('disccode', None)
    yield sql.Delete(table='disccardaccumulate',
                     whereFields=['disccode'],
                     whereValues=(discCode,))
    
def clearDiscCardAccumulate():
    yield sql.DeleteAll(table='disccardaccumulate')

def deleteDiscCardAccumulateByDiscCode(disccode):
    yield sql.Delete(table='disccardaccumulate',
                     whereFields=['disccode'],
                     whereValues=(disccode,))
