'''
Created on 26.05.2011

@author: kov
'''

import mysql.simplesql as sql

tables = ['kbkey']

def insertKbKey(kbkey):
    yield sql.Insert(table='kbkey', values={
           'keycode': kbkey.get('keycode', 0),
           'cmactioncode': kbkey.get('cmactioncode', None),           
           'keyvalue': kbkey.get('keyvalue', None),
           'context': kbkey.get('context', ''),})

def deleteKbKey(kbkey):
    yield sql.Delete(table='kbkey',
                     whereFields=['keycode', 'context',],
                     whereValues=(kbkey.get('keycode', 0), kbkey.get('context', ''), ))

def clearKbKey():
    yield sql.DeleteAll(table='kbkey')

def deleteKbKeyByCode(keycode, context=''):
    yield sql.Delete(table='kbkey',
                     whereFields=['keycode', 'context'],
                     whereValues=[keycode, context])
