'''
Created on 13.04.2010

@author: gsu
'''

import mysql.simplesql as sql

tables = ['discountsfixed']

def insertLDiscFixed(disc):
    yield sql.Insert(table='discountsfixed', values={
           'cardonly': disc.get('cardonly', 0),
           'cardpref': disc.get('cardpref', None),
           'discsize': disc.get('discsize', 0.0),
           'disctype': disc.get('disctype', 0),
           'disccode': disc.get('disccode', 0),
           'cardsum_end': disc.get('cardsumend', None),
           'receiptMode': disc.get('receiptmode', 0),
           'name': disc.get('name', None),
           'discMode': disc.get('discmode', 0),
           'RText': disc.get('rtext', None),
           'cardsum_beg': disc.get('cardsumbeg', None),
           'positionMode': disc.get('positionmode', 0)})

def deleteLDiscFixed(disc):
    yield sql.Delete(table='discountsfixed',
                     whereFields=['disccode'],
                     whereValues=(disc.get('disccode', None),))

def clearLDiscFixed():
    yield sql.DeleteAll(table='discountsfixed')

def deleteLDiscFixedByCode(code):
    yield sql.Delete(table='discountsfixed',
                     whereFields=['disccode'],
                     whereValues=[code])
