# -*- coding: utf-8 -*-
import mysql.simplesql as sql

def insertPersonalOffer(personaloffer):
    yield sql.Insert(table='personaloffer',values={
                    'idclient': personaloffer.get('idclient'),
                    'name': personaloffer.get('name'),
                    'content': personaloffer.get('content'),
                    'startdate': personaloffer.get('startdate'),
                    'enddate': personaloffer.get('enddate')
                    })

def deletePersonalOffer(personaloffer):
    yield sql.Delete(table='personaloffer',
                     whereFields=['idclient', 'name'],
                     whereValues=(personaloffer.get('idclient'),personaloffer.get('name')))
    
def clearPersonalOffer():
    yield sql.DeleteAll(table='personaloffer')