import mysql.simplesql as sql

tables = ['remainbarcode']

def insertRemainBarcode(remainbarcode):
    yield sql.Insert(table='remainbarcode', values={
        'barcode': remainbarcode.get('barcode', None),
        'quant': remainbarcode.get('quant', None),
        'datetime': remainbarcode.get('datetime', None)})

def deleteRemainBarcode(remainbarcode):
    barcode = remainbarcode.get('barcode', None)
    if barcode:
        yield sql.Delete(table='remainbarcode', whereFields=['barcode'], whereValues=[barcode])

def deleteRemainBarcodeByBarcode(barcode):
    yield sql.Delete(table='remainbarcode', whereFields=['barcode'], whereValues=[barcode])

def clearRemainBarcode():
    yield sql.DeleteAll('remainbarcode')
