'''
Created on 06.11.2018

@author: sda
'''

import mysql.simplesql as sql

def insertTmcSupplier(tmcsupplier):
    yield sql.Insert(table='tmcsupplier', values={'tmccode':tmcsupplier.get('tmccode', ''),
                                                  'suppliercode':tmcsupplier.get('suppliercode', None),
                                                  'agentpaymentobject':tmcsupplier.get('agentpaymentobject', None)})

def deleteTmcSupplier(tmcsupplier):
    tmccode = tmcsupplier.get('tmccode', None)
    suppliercode = tmcsupplier.get('suppliercode', None)
    agentpaymentobject = tmcsupplier.get('agentpaymentobject', None)
    yield sql.Delete(table='tmcsupplier', whereFields=['tmccode', 'suppliercode', 'agentpaymentobject'], 
        whereValues=(tmccode, suppliercode, agentpaymentobject))

def clearTmcSupplier():
    yield sql.DeleteAll('tmcsupplier')
