# -*- coding: UTF-8 -*-

import pymysql
from nes_common.sql_operation import _Insert, _Update as Update, _LastInsertId as LastInsertId, \
        _Select as Select, _Delete as Delete, _DeleteAll as DeleteAll, _DeleteByDate as DeleteByDate, \
        _DeleteOverduePrices as DeleteOverduePrices, _DeleteBeforeDate as DeleteBeforeDate, \
        _DeleteNotNestedItems as DeleteNotNestedItems, _IncreaseOrInsertValue as IncreaseOrInsertValue, \
        _DeleteAfterDate as DeleteAfterDate


class Insert(_Insert):
    def execute(self, context):
        self.filterColumns(self.values, context)
        try:
            _Insert.execute(self, context)
        except pymysql.IntegrityError as e:
            if e[0] != 1062:  # пропускаем ошибку mysql (Duplicate entry)
                raise e
