import mysql.simplesql as sql

tables = ['accountpincode']

def insertAccountpincode(accountpincode, transferAction='ADD'):
    yield sql.Insert(table='accountpincode', values={
           'number': accountpincode.get('number', '0'),
           'serverId': accountpincode.get('serverid', 1),
           'pincode': accountpincode.get('pincode', None),
           'transferAction': transferAction,
           })

def deleteAccountpincode(accountpincode):
    if accountpincode.get('number'):
        for i in insertAccountpincode(accountpincode, 'DELETE'):
            yield i
    elif accountpincode.get('serverid'):
        for i in clearAccountpincode(accountpincode.get('serverid')):
            yield i


def deleteAccountpincodeReal(accountpincode):
    if accountpincode.get('number') and accountpincode.get('serverid'):
        yield sql.Delete(table='accountpincode',
                         whereFields=['number', 'serverId'],
                         whereValues=(accountpincode.get('number', '0'), accountpincode.get('serverid', 1)))

def deleteAccountpincodePass(p):
    pass

def clearAccountpincode(serverId=1):
    serverId = serverId if serverId else 1
    yield sql.Delete(table='accountpincode',
                     whereFields=['serverId'],
                     whereValues=(serverId,))
    for i in  insertAccountpincode({'number': 'clear', 'serverid': serverId}, 'CLEAR'):
        yield i
