# -*- coding: utf-8 -*-
import mysql.simplesql as sql

def insertAdditionalCard(additionalcard):
    yield sql.Insert(table='additionalcard',values={
                    'additionalnumber': additionalcard.get('additionalnumber'),
                    'idcardgroup': additionalcard.get('idcardgroup'),
                    'cardnumber': additionalcard.get('cardnumber', None),
                    'idclient': additionalcard.get('idclient', None),
                    'isactive': additionalcard.get('isactive', None)
                    })

def deleteAdditionalCard(additionalcard):
    yield sql.Delete(table='additionalcard',
                     whereFields=['additionalnumber', 'idcardgroup'],
                     whereValues=(additionalcard.get('additionalnumber', None),additionalcard.get('idcardgroup', None)))
    
def clearAdditionalCard():
    yield sql.DeleteAll(table='additionalcard')