import mysql.simplesql as sql

tables = ['aspect']

def insertAspect(aspect):
    yield sql.Insert(table='aspect', values={
        'aspectcode': aspect.get('aspectcode', None),
        'aspectname': aspect.get('aspectname', None),
        'aspectorder': aspect.get('aspectorder', None),
        'aspectschemecode': aspect.get('aspectschemecode', None),
        'aspectvaluedesc': aspect.get('aspectvaluedesc', None)
        })

def deleteAspect(aspect):
    yield sql.Delete(table='aspect',
        whereFields=['aspectcode'],
        whereValues=[aspect.get('aspectcode', None)])

def clearAspect():
    yield sql.DeleteAll(table='aspect')

def deleteAspectByCode(aspectcode):
    yield sql.Delete(table='aspect',
        whereFields=['aspectcode'],
        whereValues=[aspectcode])
