'''
Created on 26.05.2011

@author: kov
'''

import mysql.simplesql as sql

tables = ['button']

def insertButton(button):
    yield sql.Insert(table='button', values={
           'code': button.get('code', 0),
           'name': button.get('name', ''),
           'tag': button.get('tag', None),
           'rateobject': button.get('rateobject', 0),
           'ratetype': button.get('ratetype', 0),
           'ratevalue': button.get('ratevalue', None),
           'maxratevalue': button.get('maxratevalue', None),
           'minratevalue': button.get('minratevalue', None),           
           })

def deleteButton(button):
    yield sql.Delete(table='button',
                     whereFields=['code',],
                     whereValues=(button.get('code', 0),))

def clearButton():
    yield sql.DeleteAll(table='button')

def deleteButtonByCode(code,):
    yield sql.Delete(table='button',
                     whereFields=['code',],
                     whereValues=[code, ])
