'''
Created on 20.08.2010

@author: gsu
'''

import mysql.simplesql as sql

tables = ["cardgroup", "cardgroupverification"]

def insertCardGroup(cardGroup):
    yield sql.Insert(table='cardgroup', values={"idcardgroup":cardGroup.get("idcardgroup", None),
                                                "name":cardGroup.get('name', None),
                                                "text":cardGroup.get('text', None),
                                                "cardmode":cardGroup.get('cardmode', None),
                                                "prefixbeg":cardGroup.get('prefixbeg', None),
                                                "prefixend":cardGroup.get('prefixend', None),
                                                "lenbeg":cardGroup.get('lenbeg', None),
                                                "lenend":cardGroup.get('lenend', None),
                                                "regexpattern":cardGroup.get('pattern', None),
                                                "regexrule":cardGroup.get('regexrule', None),
                                                "inputmask":cardGroup.get('inputmask', None),
                                                "valutcode":cardGroup.get('currencycode', None),
                                                "discounttype":cardGroup.get('discounttype', None),
                                                "discountvalue":cardGroup.get('discountvalue', None),
                                                "bonususecase":cardGroup.get('bonususecase', 0),
                                                "showinfo":cardGroup.get('showinfo', 0),
                                                "notaddemptycard":cardGroup.get('notaddemptycard', 0),
                                                "printinfo":cardGroup.get('printinfo', 0),
                                                "additionalregistration":cardGroup.get('additionalregistration', 0),
                                                "searchrule":cardGroup.get('searchrule', None),
                                                "userawdata":cardGroup.get('userawdata', None),
                                                "options": cardGroup.get('options', None)
                                                })

def deleteCardGroup(cardGroup):
    for i in deleteCardGroupById(cardGroup.get('idcardgroup', None)):
        yield i

def deleteCardGroupById(id):
    yield sql.Delete(table='cardgroup', whereFields=['idcardgroup'], whereValues=[id])

def clearCardGroup():
    yield sql.DeleteAll('cardgroup')
