'''
Created on 26.04.2017

@author: sda
'''

import mysql.simplesql as sql

tables = ['cardgroupverification']


def insertCardGroupVerification(cardGroupVerification):
    yield sql.Insert(table='cardgroupverification',
                     values={'idcardgroup': cardGroupVerification.get('idcardgroup', None),
                             'idverification': cardGroupVerification.get('idverification', None),
                             'inputsource': cardGroupVerification.get('inputsource', None),
                             'extraverification': cardGroupVerification.get('extraverification',
                                                                            None)})


def deleteCardGroupVerification(cardGroupVerification):
    idcardgroup = cardGroupVerification.get('idcardgroup', None)
    idverification = cardGroupVerification.get('idverification', None)
    inputsource = cardGroupVerification.get('inputsource', None)
    extraverification = cardGroupVerification.get('extraverification', None)
    yield sql.Delete(table='cardgroupverification',
                     whereFields=['idcardgroup', 'idverification', 'inputsource',
                                  'extraverification'],
                     whereValues=(idcardgroup, idverification, inputsource, extraverification))


def clearCardGroupVerification():
    yield sql.DeleteAll('cardgroupverification')
