import mysql.simplesql as sql

def insertCategory(category):
    yield sql.Insert(table='category', values={
            'categoryid': category.get('categoryid', None),
            'agentcode': category.get('agentcode', None),
            'categorycode': category.get('categorycode', None)})

def clearCategory():
    yield sql.DeleteAll(table='category')

def deleteCategory(category):
    categoryid = category.get('categoryid', None)
    if categoryid:
        yield sql.Delete(table='category', whereFields=['categoryid'], whereValues=[categoryid])

def deleteCategoryById(categoryid):
    yield sql.Delete(table='category', whereFields=['categoryid'], whereValues=[categoryid])
