'''
Created on 07.12.2012

@author: chvv
'''

import mysql.simplesql as sql

tables = ['kitdisc']

def insertKitDisc(disc):
    yield sql.Insert(table = 'kitdisc', values={
            'kitdiscid': disc.get('idkitdisc', None),
            'disckind': 1 if disc.get('type', None) == 'percent' else 2,
            'disctype': 1 if disc.get('value', 0.0) >= 0.0 else 2,
            'discval': abs(disc.get('value', 0.0)),
            'kitgoodsid': disc.get('idkitgoods', None),})


def deleteKitDisc(disc):
    yield sql.Delete(table='kitdisc',
                     whereFields=['kitdiscid'],
                     whereValues=(disc.get('idkitdisc', None),))

def clearKitDisc():
    yield sql.DeleteAll(table='kitdisc')

