'''
Created on 01.09.2010

@author: gsu
'''

import mysql.simplesql as sql

tables = ['tmcgroups']

def insertInventGroup(inventGroup):
    yield sql.Insert(table='tmcgroups', values={'groupcode':inventGroup.get('groupcode', None),
                                                'parentgroupcode':inventGroup.get('parentgroupcode', None),
                                                'groupname':inventGroup.get('groupname', None)})

def clearInventGroup():
    yield sql.DeleteAll(table='tmcgroups')

def deleteInventGroup(inventGroup):
    yield sql.Delete(table='tmcgroups', whereFields=['groupcode'], whereValues=[inventGroup.get('groupcode', None)])

def deleteInventGroupByCode(code):
    yield sql.Delete(table='tmcgroups', whereFields=['groupcode'], whereValues=[code])
