'''
Created on 13.04.2010

@author: gsu
'''

import mysql.simplesql as sql

tables = ['disccard']

def insertLDiscCard(card):
    yield sql.Insert(table='disccard', values={
           'cardnumber': card.get('cardnumber', ''),
           'name': card.get('name', None),
           'rtext': card.get('rtext', None),
           'cardsum': card.get('cardsum', 0.0),
           'discasheme': card.get('discasheme', None),
           'denycard': card.get('denycard', 0),
           'notaccumulate': card.get('notaccumulate', 0),
           'positionmode': card.get('positionmode', 0),
           'ispaycard': card.get('ispaycard', 0),
           'allpositions': card.get('allpositions', None),
           'msgsheme': card.get('msgsheme', None),
           'rcount': card.get('rcount', 0),
           'acdiscasheme': card.get('acdiscasheme', None),
           'cardmode': card.get('cardmode', 0),
           'bonussum': card.get('bonussum', 0),
           'bonuscode': card.get('bonuscode', None),
           'groupcode': card.get('groupcode', 0),
           'birthday': card.get('birthday', None) if card.get('birthday', None) else None,
           'acdiscscheme': card.get('acdiscscheme', None)
           })

def deleteLDiscCard(card):
    yield sql.Delete(table='disccard',
                     whereFields=['cardnumber'],
                     whereValues=(card.get('cardnumber', None),))

def clearLDiscCard():
    yield sql.DeleteAll(table='disccard')

def deleteLDiscCardByNumber(n):
    yield sql.Delete(table='disccard',
                     whereFields=['cardnumber'],
                     whereValues=[n])
