import mysql.simplesql as sql

tables = ['picklist']

def insertPicklist(picklist):
    yield sql.Insert(table='picklist', values={'code':picklist.get('code', None),
                                              'name':picklist.get('name', ''),
                                              'image':picklist.get('image', ''),
                                              'parent':picklist.get('parent', None),
                                              'tmccode':picklist.get('tmccode', None),
                                              'itemorder':picklist.get('itemorder', None)})

def clearPicklist():
    yield sql.DeleteAll(table='picklist')

def deletePicklist(picklist):
    yield sql.Delete(table='picklist', whereFields=['code'], whereValues=[picklist.get('code', None)])

def deletePicklistByCode(code):
    yield sql.Delete(table='picklist', whereFields=['code'], whereValues=[code])
