'''
Created on 06.11.2018

@author: sda
'''

import mysql.simplesql as sql

def insertSupplier(supplier):
    yield sql.Insert(table='supplier', values={'code': supplier.get('code', None),
                                               'name': supplier.get('name', ''),
                                               'phone': supplier.get('phone', ''),
                                               'inn': supplier.get('inn', '')})

def clearSupplier():
    yield sql.DeleteAll(table='supplier')

def deleteSupplier(supplier):
    code = supplier.get('code', None)
    if code:
        yield sql.Delete(table='supplier', whereFields=['code'], whereValues=[code])

def deleteSupplierByCode(code):
    yield sql.Delete(table='supplier', whereFields=['code'], whereValues=[code])

