import mysql.simplesql as sql

tables = ['timerestrict']

def insertTimeRestrict(timerestrict):
    yield sql.Insert(table='timerestrict', values={
            'timerestrictid':timerestrict.get('timerestrictid', None),
            "alcoholpercent":timerestrict.get('alcoholpercent', None),
            "datebeg":timerestrict.get('datebeg', None) if timerestrict.get('datebeg', None) else None,
            "dateend":timerestrict.get('dateend', None) if timerestrict.get('dateend', None) else None,
            "daysbeg":timerestrict.get('daysbeg', None),
            "daysend":timerestrict.get('daysend', None),
            "timebeg":timerestrict.get('timebeg', None) if timerestrict.get('timebeg', None) else None,
            "timeend":timerestrict.get('timeend', None) if timerestrict.get('timeend', None) else None,
            })

def deleteTimeRestrict(restrict):
    for i in deleteTimeRestrictByTimeRestrictId(restrict.get('timerestrictid', None)):
        yield i

def deleteTimeRestrictByTimeRestrictId(trid):
    yield sql.Delete(table='timerestrict', whereFields=['timerestrictid'], whereValues=[trid])

def clearTimeRestrict():
    yield sql.DeleteAll('timerestrict')